<?php
/**
 * @version    CVS: 1.0.0
 * @package    Com_Smssending
 * @author     Владимир <mail@sitogon.ru>
 * @copyright  © 2016. Все права защищены.
 * @license    GNU General Public License версии 2 или более поздней; Смотрите LICENSE.txt
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.controllerform');

/**
 * Message controller class.
 *
 * @since  1.6
 */
class SmssendingControllerMessage extends JControllerForm
{
	/**
	 * Constructor
	 *
	 * @throws Exception
	 */
	public function __construct()
	{
		$this->view_list = 'messages';
		parent::__construct();
	}

function sendsmsrass() {
		
	
	$componentParams = JComponentHelper::getParams('com_smssending');
	$document = JFactory::getDocument();
	$document->addStyleSheet(JUri::root() . 'media/com_smssending/css/smslist.css');
	$smsclogin = $componentParams->get('smsclogin', '');
	$smscpassword = $componentParams->get('smscpassword', '');
	$smscharset = $componentParams->get('smscharset', 'utf-8');
	$senderid = $componentParams->get('smscsender', '');
	$valuta = $componentParams->get('valuta', 'РУБ');
	
	/// Если не введены логин и пароль
	if (!$smsclogin || !$smscpassword) {
		echo '<div class="smserror">'.JText::_('COM_SMSSENDING_PASSWORDNO').'</div>';
		echo "<a class='linkreturn' href='".JUri::root()."administrator/index.php?option=com_smssending&view=messages"."'>".JText::_('COM_SMSSENDING_RETURN')."</a>";
		return;
	}
	
	/// Проверяем баланс и авторизацию на сайте smsc.ru
	$smsstatuspost='http://smsc.ru/sys/balance.php?login='.$smsclogin.'&psw='.$smscpassword.'&fmt=2';
	$smsstatuspost = file_get_contents ($smsstatuspost);
	$xmlsmsstatuspost = simplexml_load_string ($smsstatuspost);

	$errorcode = '';
	$errorcode = $xmlsmsstatuspost->error_code;
	$balance = $xmlsmsstatuspost;

	
	/// Если логин и пароль неверные
	if ($errorcode == 2) {
		echo '<div class="smserror">'.JText::_('COM_SMSSENDING_PASSWORDFAIL').'</div>';
		echo '<div class="smserror">'.JText::_('COM_SMSSENDING_SMSRUREGISTRATION').'</div>';
		echo '<div class="smserror"><a href ="http://smsc.ru/?pp408910">http://smsc.ru/</a></div>';
		echo "<a class='linkreturn' href='".JUri::root()."administrator/index.php?option=com_smssending&view=messages"."'>".JText::_('COM_SMSSENDING_RETURN')."</a>";
		return;
	}
	/// Если Ip заблокирован
		if ($errorcode == 4) {
		echo '<div class="smserror">'.JText::_('COM_SMSSENDING_IPBLOCKED').'</div>';
		echo '<div class="smserror">'.JText::_('COM_SMSSENDING_SMSRUREGISTRATION').'</div>';
		echo '<div class="smserror"><a href ="http://smsc.ru/?pp408910">http://smsc.ru/</a></div>';
		echo "<a class='linkreturn' href='".JUri::root()."administrator/index.php?option=com_smssending&view=messages"."'>".JText::_('COM_SMSSENDING_RETURN')."</a>";
		return;
	}
	
	///Если много запросов
			if ($errorcode == 9) {
		echo '<div class="smserror">'.JText::_('COM_SMSSENDING_9MESSAGES_FAIL').'</div>';
		echo "<a class='linkreturn' href='".JUri::root()."administrator/index.php?option=com_smssending&view=messages"."'>".JText::_('COM_SMSSENDING_RETURN')."</a>";
		return;
	}
	
	/// Если баланс нулевой то отмена рассылки
	if ($balance <= 0) {
		
		echo '<div class="smserror">'.JText::_('COM_SMSSENDING_BALANCEFAIL').'</div>';
		echo '<div class="smserror"><a href ="http://smsc.ru/?pp408910">http://smsc.ru/</a></div>';
		echo "<a class='linkreturn' href='".JUri::root()."administrator/index.php?option=com_smssending&view=messages"."'>".JText::_('COM_SMSSENDING_RETURN')."</a>";
		return;
	}
	///Вывод баланса
	if ($balance) {
		echo '<div class="smsbalance">'.JText::_('COM_SMSSENDING_BALANCESTART').'<span class="greenstatus"> '.$balance.'</span><span class="valsms">'.$valuta.'</span></div>';
	}

	
	
	
	$statuses = array("-3" => "<span class='redstatus'>".JText::_('COM_SMSSENDING_STATUS_NO')."</span>", 
               "-1" => "<span class='greenstatus'>".JText::_('COM_SMSSENDING_STATUS_PENDING')."</span>", 
               "0" => "<span class='greenstatus'>".JText::_('COM_SMSSENDING_STATUS_SENDING_OPERATOR')."</span>",
               "1" => "<span class='greenstatus'>".JText::_('COM_SMSSENDING_STATUS_COMPLETED')."</span>",
               "3" => "<span class='redstatus'>".JText::_('COM_SMSSENDING_STATUS_FAILED3')."</span>",
               "20" => "<span class='redstatus'>".JText::_('COM_SMSSENDING_STATUS_FAILED20')."</span>",
               "22" => "<span class='redstatus'>".JText::_('COM_SMSSENDING_STATUS_FAILED22')."</span>",
               "23" => "<span class='redstatus'>".JText::_('COM_SMSSENDING_STATUS_FAILED23')."</span>",
               "24" => "<span class='redstatus'>".JText::_('COM_SMSSENDING_STATUS_FAILED24')."</span>",
               "25" => "<span class='redstatus'>".JText::_('COM_SMSSENDING_STATUS_FAILED25')."</span>",
               ); 
	

	

/// Получаем данные из формы
	$formdata = $_POST['jform'];
	$textmessage = $formdata ['textmessage'];
	$textmessage = $formdata ['title'].'%0A'.$textmessage; //Текст сообщения
	$counter = 0;
	
	$finalsendphone = '';
	$sendphone = '';

	$catid = $formdata ['catid'];
	$virtuemartid = $formdata ['vituemart_field_id'];
	
	
		

//// Если выбрана категория, то выводим таблицу

		
	if ($catid) {
		$database    = JFactory::getDBO();
		$query = "SELECT DISTINCT `phone` FROM `#__smssending_phones` WHERE  state = 1 AND catid = ".$catid;
		$database->setQuery( $query );
	
		$rows = $database->loadObjectList();

		if (count($rows)){
	
			for ($i=0; $i<count($rows); $i++){
				
				$row = $rows[$i];
				/// Переменная с телефоном
				$sendphone =  $row->phone;
				$sendphone = preg_replace('/[^0-9]/', '', $sendphone);
	
					
						if ($sendphone !='' && $sendphone > 9999999999) {
						
						$counter++;
						if ($counter > 1) {
						$finalsendphone = $finalsendphone.';'.$sendphone;
											
										}
										else {
											$finalsendphone = $sendphone;
											
										}

							
				  		}
				
			}
			
		}	
	
	
	}
	if ($virtuemartid) {
		
		/// Узнаем название поля телефона
		$database    = JFactory::getDBO();
		$query = "SELECT  `name` FROM `#__virtuemart_userfields` WHERE virtuemart_userfield_id  = ".$virtuemartid;
		$database->setQuery( $query );
		$virtname = $database->loadResult();
		
		$database    = JFactory::getDBO();
		$query = "SELECT  `".$virtname."` FROM `#__virtuemart_userinfos` WHERE `".$virtname."` IS NOT NULL";
		$database->setQuery( $query );
		$rows = $database->loadObjectList();
		
		if (count($rows)){
	
			for ($i=0; $i<count($rows); $i++){
				
				$row = $rows[$i];
				/// Переменная с телефоном
				$sendphone =  $row->$virtname;
				$sendphone = preg_replace('/[^0-9]/', '', $sendphone);
						
						if ($sendphone !='' && $sendphone > 9999999999) {
						
						$counter++;
						if ($counter > 1) {
						$finalsendphone = $finalsendphone.';'.$sendphone;
											
										}
										else {
											$finalsendphone = $sendphone;
											
										}

							
				  		}
	
						
				
				
			}
			
							
			
		}	

		
	}
							/// Создаем запрос к сервису
							$result = 'http://smsc.ru/sys/send.php?login='.$smsclogin.'&psw='.$smscpassword.'&phones='.$finalsendphone.'&mes='.$textmessage.'&fmt=2&cost=2&charset='.$smscharset;
							
							/// Осуществляем запрос и получаем данные
							$result = file_get_contents ($result);
							
							$smsstatuspost='http://smsc.ru/sys/balance.php?login='.$smsclogin.'&psw='.$smscpassword.'&fmt=2';
							$smsstatuspost = file_get_contents ($smsstatuspost);
							$xmlsmsstatuspost = simplexml_load_string ($smsstatuspost);

							$endbalance = $xmlsmsstatuspost;
							
							echo '<div class="smsbalance">'.JText::_('COM_SMSSENDING_BALANCEEND').'<span class="greenstatus"> '.$endbalance.'</span><span class="valsms">'.$valuta.'</span></div>';

							
							$endbalance = $balance - $endbalance;
							
							echo '<div class="smsbalance">'.JText::_('COM_SMSSENDING_TOTALCOST').'<span class="greenstatus"> '.$endbalance.'</span><span class="valsms">'.$valuta.'</span></div>';
							
							echo '<div class="smsbalance">'.JText::_('COM_SMSSENDING_TOTAL').'<span class="greenstatus"> '.$counter.'</span></div>';
							
							
							
							echo "<br><a class='linkreturn' href='".JUri::root()."administrator/index.php?option=com_smssending&view=messages"."'>".JText::_('COM_SMSSENDING_RETURN')."</a>";
 

}
}
