<?php

/**
 * @version    CVS: 1.0.0
 * @package    Com_Smssending
 * @author     Владимир <mail@sitogon.ru>
 * @copyright  © 2016. Все права защищены.
 * @license    GNU General Public License версии 2 или более поздней; Смотрите LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

/**
 * Smssending helper.
 *
 * @since  1.6
 */
class SmssendingHelper
{
	/**
	 * Configure the Linkbar.
	 *
	 * @param   string  $vName  string
	 *
	 * @return void
	 */
	public static function addSubmenu($vName = '')
	{
		JHtmlSidebar::addEntry(
			JText::_('COM_SMSSENDING_TITLE_PHONES'),
			'index.php?option=com_smssending&view=phones',
			$vName == 'phones'
		);

JHtmlSidebar::addEntry(
			JText::_('COM_SMSSENDING_TITLE_CATEGORIES'),
			'index.php?option=com_smssending&view=categories',
			$vName == 'categories'
		);

JHtmlSidebar::addEntry(
			JText::_('COM_SMSSENDING_TITLE_MESSAGES'),
			'index.php?option=com_smssending&view=messages',
			$vName == 'messages'
		);

	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @return    JObject
	 *
	 * @since    1.6
	 */
	public static function getActions()
	{
		$user   = JFactory::getUser();
		$result = new JObject;

		$assetName = 'com_smssending';

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.own', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action)
		{
			$result->set($action, $user->authorise($action, $assetName));
		}

		return $result;
	}
}
